[
  {
    blockid=delete;
    title="Discussion \u30b0\u30eb\u30fc\u30d7\u306e\u524a\u9664";
    buttonsat=south;

    localvar=
    {
      .delete.node.text.size=400;

      .delete.options.items=
      [
        "local",
        "replicated"
      ];
      .delete.options.labels=
      [
        "\u3053\u306e\u30b5\u30fc\u30d0\u30fc\u306e\u307f\u3067\u524a\u9664",
        "\u3053\u306e\u30b5\u30fc\u30d0\u30fc\u304a\u3088\u3073\u30ec\u30d7\u30ea\u30b1\u30fc\u30c8\u3057\u305f\u3059\u3079\u3066\u306e\u30b5\u30fc\u30d0\u30fc\u3067\u524a\u9664"
      ];
    };

    content=
    [ /* delete dialog contents */

      {
        ctrl=label;
        text=$delete.nodename.text;
        wrap=$.delete.node.text.size;
      },

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* separator */
        ctrl=separator;
      }, /* separator */

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* choice to delete locally or on all servers */
        ctrl=choice;
        style=radio;
        items=$.delete.options.items;
        labels=$.delete.options.labels;
        val=$delete.options.mode;
      } /* choice to delete locally or on all servers */

    ] /* delete dialog contents */
  },

  {
    blockid=layout.folders.node.delete.children;
    title="Discussion \u30b0\u30eb\u30fc\u30d7\u306e\u524a\u9664";
    buttonsat=south;
    resizable=true;

    localvar=
    {
      .delete.node.text.size=400;

      .delete.options.border=[titled, "\u524a\u9664\u30aa\u30d7\u30b7\u30e7\u30f3"];
      .delete.options.items=
      [
        "local",
        "replicated"
      ];
      .delete.options.labels=
      [
        "\u3053\u306e\u30b5\u30fc\u30d0\u30fc\u306e\u307f\u3067\u524a\u9664",
        "\u3053\u306e\u30b5\u30fc\u30d0\u30fc\u304a\u3088\u3073\u30ec\u30d7\u30ea\u30b1\u30fc\u30c8\u3057\u305f\u3059\u3079\u3066\u306e\u30b5\u30fc\u30d0\u30fc\u3067\u524a\u9664"
      ];

      .delete.pattern.text = "\u73fe\u5728\u306e\u30b0\u30eb\u30fc\u30d7\u306b\u5c5e\u3059\u308b\u30b0\u30eb\u30fc\u30d7\u3067\u3001\u30d1\u30bf\u30fc\u30f3\u306b\u4e00\u81f4\u3059\u308b\u30b0\u30eb\u30fc\u30d7\u3092\u524a\u9664";
      .delete.pattern.label = "\u30d1\u30bf\u30fc\u30f3\u3092\u5165\u529b:";
      .label.size = 80;
      .delete.nodes.text = "\u9078\u629e\u3057\u305f\u30b0\u30eb\u30fc\u30d7\u3092\u524a\u9664";

      .select.all.text="\u3059\u3079\u3066\u3092\u9078\u629e";
      .select.none.text="\u9078\u629e\u3057\u3066\u3044\u307e\u305b\u3093";
    };

    content=
    [

      {
        ctrl=label;
        text=$delete.nodename.text;
        wrap=$.delete.node.text.size;
      },

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* separator */
        ctrl=separator;
      }, /* separator */

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* choice to delete locally or on all servers */
        ctrl=choice;
        style=radio;
        items=$.delete.options.items;
        labels=$.delete.options.labels;
        val=$delete.options.mode;
      }, /* choice to delete locally or on all servers */

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* separator */
        ctrl=separator;
      }, /* separator */

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* delete selected nodes */
        ctrl=togglepane;
        style=radio;
        group=deletenodes;
        text=$.delete.nodes.text;
        id=deletenodes;
        inline=false;
        content=
        [ /* delete selected nodes contents */

          { /* table and buttons */
            ctrl=pane;
            layout=[xbox];
            content=
            [ /* table and buttons contents */

              { /* nodes table */
                ctrl=table;
                id=nodestable;
                stdtable=false;
                showadd=false;
                showedit=false;
                showdelete=false;
                columns=
                [
                  {
                    header="";
                  }
                ];
              }, /* nodes table */

              { /* component space */
                ctrl=hstrut;
                size=$g.comp.space.sep;
              }, /* component space */

              { /* button array */
                ctrl=pane;
                layout=[ybox];
                content=
                [

                  { /* select all */
                    ctrl=button;
                    cmd=.select.all;
                    text=$.select.all.text;
                    id=selectallbtn;
                  }, /* select all */

                  { /* component space */
                    ctrl=vstrut;
                    size=$g.comp.space;
                  }, /* component space */

                  { /* select none */
                    ctrl=button;
                    cmd=.select.none;
                    text=$.select.none.text;
                    id=selectnonebtn;
                  } /* select none */

                ];
              } /* button array */

            ]; /* table and buttons contents */
          }, /* table and buttons */

          { /* component space */
            ctrl=vstrut;
            size=$g.comp.space;
          }, /* component space */

          { /* status label */
            ctrl=label;
            text=$status.text;
            alignh=left;
            id=statustext;
          } /* status label */

        ]; /* delete selected nodes contents */
      }, /* delete selected nodes */

      { /* component space */
        ctrl=vstrut;
        size=$g.comp.space.sep;
      }, /* component space */

      { /* delete pattern */
        ctrl=togglepane;
        style=radio;
        id=deletepatt;
        inline=false;
        group=deletenodes;
        text=$.delete.pattern.text;
        content=
        [ /* delete pattern contents */

          {
            ctrl=pane;
            layout=[xbox];
            content=
            [

              {
                ctrl=label;
                text=$.delete.pattern.label;
                wrap=$.label.size;
                id=deletepatternlabel;
                alignh=left;
                aligny=0.5;
              },

              { /* component space */
                ctrl=vstrut;
                size=$g.comp.space.sep;
              }, /* component space */

              {
                ctrl=text;
                label=deletepatternlabel;
                aligny=0.5;
                id=deletepattern;
              }

            ]
          }

        ]; /* delete pattern contents */
      } /* delete pattern */

    ];
  }

]

